Subject: Re: bug#5762: 24.0.50; Show available disk space with -h option when using ls with -h option

From: Thierry Volpiatto <[email-masked]>
Date: Wed, 11 Apr 2012 18:33:20 +0200

Hi Lars,
this old bug come back from hell! :-).

Lars Magne Ingebrigtsen <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>>> in dired when using `dired-listing-switches' with -h option, the second
>>> line of dired buffer is like:
>>>
>>> total used in directory 24M available 19275100
>>>
>>> it should show:
>>>
>>> total used in directory 24M available 19G
>
> Makes sense.
>
> However:
>
> +                (let* ((directory-free-space-args (if (string-match "h" dired-actual-switches)
>
> This would match "--hide" or anything else that contains an "h",
> wouldn't it?
Why one would have "--hide" in this var.
See `dired-listing-switches', I think you can't put something else that
contain "h" into it (I use -alh here), and "--hide" AFAIK is not allowed
there. But verify, I don't use dired anymore.

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997